Page MenuHomePhabricator

iOS App - Articles with quotes slightly misaligned when content menu collapsed
Closed, ResolvedPublic

Description

Steps:

  1. Search for and navigate to the "History" article on Wikipedia
  2. Collapse the Contents Menu
  3. View the text around the Santayana quote below the lead image

Expected Result:
The text starts under the quote box. It should look the same as it appears when the Contents Menu is expanded

Actual Result:
The top of the paragraphs wraps around the left side of the quote box.

Note: I have not found articles with this same quote box positioning as the History article. May just be a bug on this particular article.

Frequency = 5/5 times on this article. Unable to find more articles for comparison right now.
https://en.wikipedia.org/wiki/History

Event Timeline

Restricted Application added a project: Wikipedia-iOS-App-Backlog. · View Herald TranscriptFeb 1 2017, 10:50 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
JMinor triaged this task as Low priority.Feb 6 2017, 7:41 PM
JMinor moved this task from Needs Triage to Bug Backlog on the Wikipedia-iOS-App-Backlog board.

Appears to be iPad specific

julbod added a subscriber: julbod.Feb 14 2017, 5:22 AM

It also happens in landscape mode on iPhone (tested on iPhone 6):

This comment was removed by julbod.
julbod claimed this task.Feb 16 2017, 5:23 AM

Hi, I'm not sure about the expected result.
Do we want that the quote box fills all the available width, even on largest screens like landscape iPad? If the quote does not contain a lot of text, the box will be oversized for its content.
If not, we can set a max width for larger screens, for example 50% of the available width.

What do you think?

julbod removed julbod as the assignee of this task.Mar 16 2017, 3:11 PM

Tested Wikipedia app 5.4.1 (1124) on iPad Mini 2 (iOS 10.3.1), iPhone 6S (iOS 10.3.1) and iPhone 7 (iOS 10.3.2), according to the screencaps below this is fixed on all of the devices I tested.

Tested on an iPhone 7+ with iOS 10.3 and an iPad Mini 2 Retina on Beta App 5.5.0 (1129)

Fixed

JMinor closed this task as Resolved.May 23 2017, 8:49 PM